<?php
/**
 * 2007-2017 Copyright
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author Objective Concept - Copyright
 * @copyright Copyright
 * @package   copyright
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

class AdminCopyrightSettingsAboutController extends ModuleAdminController
{
    public function __construct()
    {
        $this->bootstrap = true;
        parent::__construct();
    }

    public function renderList()
    {
        $content = '';

        $copyright_user = CopyrightUser::getCopyrightUser();

        if (!empty($copyright_user) && !$copyright_user->copyright_credits) {
            $content .= $this->module->renderWarning(
                $this->l('You do not have sufficient credits to protect this content. 
                Choose a more advanced plan to purchase more credits.') .
                '<a href="' . $this->context->link->getAdminLink('AdminCopyrightSettings') . '">'
                . $this->l('Click here to upgrade your account') .
                '</a>'
            );
        }

        $vars = array(
            'link' => $this->context->link,
            'content' => $this->module->renderTemplate('about.tpl', 'admin'),
            'active' => 'about'
        );

        $content .= $this->module->renderTemplate('settings_tabs.smarty', 'admin', $vars);

        return $content;
    }
}
