<?php
/**
 * 2007-2017 Copyright
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author Objective Concept - Copyright
 * @copyright Copyright
 * @package   copyright
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

class AdminCopyrightSettingsUpdatePlanController extends ModuleAdminController
{
    public function __construct()
    {
        $this->bootstrap = true;

        parent::__construct();
    }

    public function init()
    {
        parent::init();

        if (!CopyrightUser::getCopyrightUser()) {
            $this->redirect_after = $this->context->link->getAdminLink('AdminCopyrightSettingsAuth');
        }
    }

    public function setMedia()
    {
        parent::setMedia();

        $this->addCSS(array(
            COPYRIGHT_DIR . 'views/css/style.css',
        ));
    }

    public function renderList()
    {
        $content = '';

        //create a new user or get a old copyright user
        $copyright_user = CopyrightUser::getCopyrightUser();

        //render bags for shopping
        $formulas = CopyrightConnect::getInstance()->api_auth('/api/User/formulas?typePlugin=2');
        $vars = array(
            'formulas' => $formulas,
            'view_dir' => $this->module->getViewUri(),
            'copyright_user' => $copyright_user,
            'admin_dir' => Tools::getHttpHost(true) . __PS_BASE_URI__
                . basename(_PS_ADMIN_DIR_)
                . '/' . $this->context->link->getAdminLink('AdminCopyrightSettings'),
        );

        $content .= $this->module->renderTemplate('formulas.tpl', 'admin', $vars);

        if (!empty($copyright_user) && !$copyright_user->copyright_credits) {
            $message = $this->module->renderWarning($this->l(
                'You do not have sufficient credits to protect this content. '
                . 'Choose a more advanced plan to purchase more credits.'
            ));
            $content = $message . $content;
        }

        return $content;
    }
}
