<?php

class CopyrightConnect{
	
	private $xml_public_key = '<RSAKeyValue><Modulus>sHViOw+uygOHEN8RC5vj88zz7n5rIAdXGDLc55Zkj8x+dWCVKqrTblCovAglJr82iXeJ/sQST+pihixCP5D7H8sV6ZtbyjWC/iTmSfo7eFT3og3ifNtw7MOTxGo57NFnLF+xkmz+xKC3etI9kjjxc64RZEjDztHUPesVMu2Gy4k=</Modulus><Exponent>AQAB</Exponent></RSAKeyValue>';
	private $username = 'PrestaShopUser1';
	private $site_url = COPYRIGHT_API_HOST;

	private static $instance;

	public function init(){
		
	}

	public function __construct()
	{
		if(empty(self::$instance))
			self::$instance = $this;
	}

	public static function getInstance()
	{
		if(empty(self::$instance))
			self::$instance = new self();

		return self::$instance;
	}
	
	/**
	 * Authorization for copyright functionality
	 *
	 * @return authorization content
	 */
	public function api_auth( $service_url = '/api/user/helloworld', $is_post = false, $post_data = false ) {

		require_once( COPYRIGHT_DIR . 'libraries/_tools/PHPProxy/Math/BigInteger.php' );
		require_once( COPYRIGHT_DIR . 'libraries/_tools/PHPProxy/Crypt/RSA_XML.php' );

		$rsa = new Crypt_RSA_XML();
		$rsa->loadKey( $this->xml_public_key );
		$rsa->setEncryptionMode( CRYPT_RSA_ENCRYPTION_PKCS1 );

		$encrypted = $rsa->encrypt( utf8_encode( $this->username ) );

		/* Create curl connect */
		$ch_content = curl_init();

		curl_setopt( $ch_content, CURLOPT_URL, $this->site_url . $service_url );
		curl_setopt( $ch_content, CURLOPT_SSL_VERIFYHOST, false );
		curl_setopt( $ch_content, CURLOPT_SSL_VERIFYPEER, false );
		curl_setopt( $ch_content, CURLOPT_RETURNTRANSFER, 1 );
		curl_setopt( $ch_content, CURLOPT_HEADER, false );

		$header = array();
		$header[] = 'Content-type: application/json';
		$header[] = 'Authorization-Token: ' . base64_encode( $encrypted );
		curl_setopt( $ch_content, CURLOPT_HTTPHEADER, $header );
		curl_setopt( $ch_content, CURLOPT_FOLLOWLOCATION, 1 );

		curl_setopt( $ch_content, CURLOPT_POST, $is_post );
		if ( $is_post && $post_data )	{
			curl_setopt( $ch_content, CURLOPT_POSTFIELDS, json_encode($post_data) );
		}		

		$res_content = curl_exec( $ch_content );
		$http_code_content = curl_getinfo( $ch_content, CURLINFO_HTTP_CODE );
		curl_close( $ch_content );

		if ( isset( $res_content ) && 404 != $http_code_content ) {
			return json_decode( $res_content, true );
		}
	}
}