<?php
/**
 * 2007-2017 Copyright
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author Objective Concept - Copyright
 * @copyright Copyright
 * @package   copyright
 * @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

class AdminCategoriesController extends AdminCategoriesControllerCore
{
    public function ajaxProcessCopyrightcategory()
    {
        require_once _PS_ROOT_DIR_ . '/modules/copyright/classes/CopyrightCategory.php';
        require_once _PS_ROOT_DIR_ . '/modules/copyright/classes/CopyrightFile.php';
        require_once _PS_ROOT_DIR_ . '/modules/copyright/classes/CopyrightSettings.php';
        require_once _PS_ROOT_DIR_ . '/modules/copyright/classes/CopyrightUser.php';

        $copyright = Module::getInstanceByName('copyright');

        if (!$id_category = (int)Tools::getValue('id_category')) {
            die(Tools::jsonEncode(
                array(
                    'success' => false,
                    'error' => true,
                    'text' => $this->l('Failed to update the status')
                )
            ));
        } else {

            //validate access to create a copyright
            $copyright->ajaxValidate();

            $success = 0;
            if ($copyright_category = CopyrightCategory::getCategory((int)$id_category)) {
                $copyright_file = new CopyrightFile($copyright_category['id_copyright_file']);
                $copyright_file->is_recurring = $copyright_file->is_recurring == 1 ? 0 : 1;
                $success = $copyright_file->save();
            } else {

                $copyright_file = new CopyrightFile();
                $copyright_file->status = 0;
                $copyright_file->id_deposit = 0;
                $copyright_file->is_recurring = 1;
                $success = $copyright_file->save();

                $copyright_cms = new CopyrightCategory();
                $copyright_cms->id_category = $id_category;
                $copyright_cms->id_copyright_file = $copyright_file->id;

                //if success save copyright file then copyright product save
                $success = $success ? $copyright_cms->save() : false;

                CopyrightUser::deleteOneCredit();
            }

            $success ?
                die(Tools::jsonEncode(
                    array(
                        'success' => true,
                        'text' => $this->l('The status has been updated successfully')
                    )
                )) :
                die(Tools::jsonEncode(
                    array(
                        'success' => false,
                        'error' => true,
                        'text' => $this->l('Failed to update the status')
                    )
                ));
        }
    }
}
